# setLogLevel method

void setLogLevel(

1. Level aLevel

)

Used if the App wants to dynamically change the Log Level.

Seldom used. Most of the time the Log Level is specified during the constructor.

## Parameters

- aLevel: is the new logger level that you want.

## Example

    setLogLevel(Level.warning);

## Implementation

    void setLogLevel(Level aLevel) async {
      _logLevel = aLevel;
      _logger = Logger(level: aLevel);
      if (_isInited != Initialized.notInitialized) {
        FlutterSoundPlayerPlatform.instance.setLogLevel(this, aLevel);
      }
    }